Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Expression_ConstantInt

    java.lang.Object
      rdlc.sw.Expression_ConstantInt

All Implemented Interfaces:
  Expression

    public class Expression_ConstantInt

extends java.lang.Object
implements Expression

A constant integer expression. Includes value and base, as well as having a few static final members for common constants. Notice that this refers to a constant in the generated code, and the value may vary from run to run of RDLC.

Version:
  $Revision: 1.5 $
Author:
  Greg Gibeling

Field Summary
`protected int` | `base` The base or radix in which to display this constant.
`static Expression_ConstantInt` | `one` The slightly less often used constant one.
`protected int` | `value` The numerical value of this integer constant.
`static Expression_ConstantInt` | `zero` The much used constant zero.

Constructor Summary
`Expression_ConstantInt(int _value)` Create a new integer constant with the given value.
`Expression_ConstantInt(int _value, int _base)` Create a new integer constant with the given value and base (radix).
`Expression_ConstantInt(java.lang.String _value)` Create a new integer constant with the given value.

Method Summary
`int` | `getBase()` Simple accessor.
`int` | `getValue()` Simple accessor.
`boolean` | `isConstant()` Simple accessor.
`boolean` | `isLValue()` Simple accessor.
`boolean` | `isRValue()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### zero

    public static final Expression_ConstantInt zero

  The much used constant zero.

### one

    public static final Expression_ConstantInt one

  The slightly less often used constant one.

### value

    protected int value

  The numerical value of this integer constant.

### base

    protected int base

  The base or radix in which to display this constant.

Constructor Detail

### Expression_ConstantInt

    public Expression_ConstantInt(int _value)

  Create a new integer constant with the given value.

  Parameters:
    `_value` - The value of this constant.

### Expression_ConstantInt

    public Expression_ConstantInt(java.lang.String _value)

  Create a new integer constant with the given value. The resulting value will be 0 if the string does not appear to be a valid integer.

  Parameters:
    `_value` - The value of this constant.

### Expression_ConstantInt

    public Expression_ConstantInt(int _value,
                                  int _base)

  Create a new integer constant with the given value and base (radix).

  Parameters:
    `_value` - The value of this constant.
    `_base` - The base in which to print this constant.

Method Detail

### isConstant

    public boolean isConstant()

  Description copied from interface: `Expression`
  Simple accessor.

  Specified by:
    `isConstant` in interface `Expression`
  Returns:
    `true` if this expression is a constant.
  See Also:
    `Expression.isConstant()`

### isLValue

    public boolean isLValue()

  Description copied from interface: `Expression`
  Simple accessor.

  Specified by:
    `isLValue` in interface `Expression`
  Returns:
    `true` if this expression can be used as an l-value.
  See Also:
    `Expression.isLValue()`

### isRValue

    public boolean isRValue()

  Description copied from interface: `Expression`
  Simple accessor.

  Specified by:
    `isRValue` in interface `Expression`
  Returns:
    `true` if this expression can be used as an e-value.
  See Also:
    `Expression.isRValue()`

### getValue

    public int getValue()

  Simple accessor.

  Returns:
    The value of this integer constant.

### getBase

    public int getBase()

  Simple accessor.

  Returns:
    The base in which to print this integer constant.

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A human readable representation of this wire for debugging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD